#include <bits/stdc++.h>
using namespace std;
int N,L,H[1005],mesto;
bool moze=true;
int main(){

    scanf("%d%d",&N,&L);
    for(int n=1; n<=N; n++){
        scanf("%d",&H[n]);
        if(H[n]<=L && moze){
            mesto=n;
            moze=!moze;
        }
    }
    if(moze) printf("-1\n");
    else printf("%d\n",mesto);

    return 0;
}